Skip to main content
GET
/
alpha
/
transactions
/
cctp
/
context
/
{userAddress}
/
{srcNetwork}
/
{dstNetwork}
/
{assetAddress}
cURL
curl --request GET \
  --url https://api.vaults.fyi/alpha/transactions/cctp/context/{userAddress}/{srcNetwork}/{dstNetwork}/{assetAddress} \
  --header 'x-api-key: <api-key>'
{
  "srcNetwork": {
    "name": "mainnet",
    "chainId": 123,
    "networkCaip": "<string>"
  },
  "dstNetwork": {
    "name": "mainnet",
    "chainId": 123,
    "networkCaip": "<string>"
  },
  "asset": {
    "address": "<string>",
    "symbol": "<string>",
    "decimals": 123,
    "name": "<string>",
    "balanceNative": "<string>",
    "allowance": "<string>"
  },
  "fees": {
    "standardTransferFeeBps": 123,
    "fastTransferFeeBps": 123,
    "forwardingFeeNative": "<string>"
  },
  "currentBridgeStep": "bridge",
  "bridgeSteps": [
    {
      "name": "bridge",
      "actions": [
        "<string>"
      ],
      "actionsUrl": "<string>"
    }
  ],
  "moneyInTransit": [
    {
      "burnToken": "<string>",
      "amountNative": "<string>",
      "mintRecipient": "<string>",
      "destinationDomain": 123,
      "status": "pending",
      "depositor": "<string>",
      "message": "<string>",
      "attestation": "<string>"
    }
  ]
}

Authorizations

x-api-key
string
header
required

Path Parameters

userAddress
string
required

User wallet address

Pattern: ^0x[a-fA-F0-9]{40}$
srcNetwork
enum<string>
required

Source chain (network name or CAIP identifier)

Available options:
mainnet,
optimism,
arbitrum,
polygon,
gnosis,
base,
unichain,
swellchain,
celo,
worldchain,
berachain,
ink,
bsc,
hyperliquid,
plasma,
avalanche,
katana,
linea,
mega-eth,
monad,
etherlink,
eip155:1,
eip155:10,
eip155:42161,
eip155:137,
eip155:100,
eip155:8453,
eip155:130,
eip155:1923,
eip155:42220,
eip155:480,
eip155:80094,
eip155:57073,
eip155:56,
eip155:999,
eip155:9745,
eip155:43114,
eip155:747474,
eip155:59144,
eip155:4326,
eip155:143,
eip155:42793
dstNetwork
enum<string>
required

Destination chain (network name or CAIP identifier)

Available options:
mainnet,
optimism,
arbitrum,
polygon,
gnosis,
base,
unichain,
swellchain,
celo,
worldchain,
berachain,
ink,
bsc,
hyperliquid,
plasma,
avalanche,
katana,
linea,
mega-eth,
monad,
etherlink,
eip155:1,
eip155:10,
eip155:42161,
eip155:137,
eip155:100,
eip155:8453,
eip155:130,
eip155:1923,
eip155:42220,
eip155:480,
eip155:80094,
eip155:57073,
eip155:56,
eip155:999,
eip155:9745,
eip155:43114,
eip155:747474,
eip155:59144,
eip155:4326,
eip155:143,
eip155:42793
assetAddress
string
required

Asset address to bridge (e.g., USDC)

Pattern: ^0x[a-fA-F0-9]{40}$

Response

Default Response

srcNetwork
object
required

Source network

dstNetwork
object
required

Destination network

asset
object
required
fees
object
required

Fees for forwarding mode (fetched from Iris API)

currentBridgeStep
enum<string>
required

Current step in bridge flow

Available options:
bridge,
claim
bridgeSteps
object[]
required

Steps for bridging: bridge, then claim

moneyInTransit
object[]
required

Recent CCTP transfers that are still in transit